Subject: bug#54042: closed (Re: bug#60505: 29.0.60; Fido Mode and Tramp Completion)

From: Ergus <[email-masked]>
Date: Wed, 15 Feb 2023 19:31:24 +0100

Hi again:

The initial problem seems to be solved because:

C-x C-f /ssh:<tab>

Opens the *Completions* buffer with right completions...

But

Somehow I am still getting a similar problem remaining. Why in fido
mode?:

C-x C-f /ssh:

does not offer a completion list with the hosts or user names or anything?

Actually:

C-x C-f /ssh:<RET>

In opens dired in the home of a random server from my config but I don't
know how it is selected. What I am missing here?

Best,
Ergus

On Sun, Feb 12, 2023 at 07:28:03PM +0000, GNU bug Tracking System wrote:
>Your bug report
>
>#60505: 29.0.50; fido-mode and ssh not listing hosts
>
>which was filed against the emacs package, has been closed.
>
>The explanation is attached below, along with your original report.
>If you require more details, please reply to [email-masked].
>
>-- 
>60505: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=60505
>GNU Bug Tracking System
>Contact [email-masked] with problems

>From: Michael Albinus <[email-masked]>
>Date: Sun, 12 Feb 2023 20:26:51 +0100
>To: Stefan Monnier <[email-masked]>
>Cc: Michael Heerdegen <[email-masked]>, Eli Zaretskii
> <[email-masked]>, [email-masked], Gregory Heytings
> <[email-masked]>, [email-masked]
>Subject: Re: bug#60505: 29.0.60; Fido Mode and Tramp Completion
>
>Version: 29.2
>
>Michael Albinus <[email-masked]> writes:
>
>> There are still some cases it doesn't work as expected (user name
>> completion to be mentioned); I'll continue to work on this.
>
>This works now fine, and also multi-hop completion passes the tests. I'm
>closing this bug (and the merged ones).
>
>Best regards, Michael.
>

>From: Ergus <[email-masked]>
>Date: Thu, 17 Feb 2022 15:47:57 +0100
>To: [email-masked]
>Subject: 29.0.50; fido-mode and ssh not listing hosts
>
>
>Hi:
>
>Recently I have found that icomplete does not offer host completions
>after /ssh:
>
>After some check I got this minimal snippet:
>
>emacs -Q
>M-x fido-mode
>C-x C-f /ssh:<tab>
>
>Somehow fido mode removes the latest colon (:) and tries to get
>completion for /ssh so not host are shown (even in the completions
>buffer).
>
>If I choose at this point some of the options (sshx:, ssh:, sshfs:) it a
>buffer `ssh:` is created at / (read only of course.)
>
>trying a bit more like:
>
>C-x C-f /ssh:m<tab> (I have many servers starting with m in my ssh config)
>
>It does not show anything as completion but shows [No matches] while
>normally in *Completions* appear all the hosts defined in .ssh/config.
>
>I tried with icomplete and the problem seems to be only with fido.
>
>
>In GNU Emacs 29.0.50 (build 73, x86_64-pc-linux-gnu, GTK+ Version 3.24.31, cairo version 1.17.4)
> of 2022-02-16 built on Ergus
>Repository revision: 8737d79be8f82bb12ca12dc1a7de37a4d2875f39
>Repository branch: master
>System Description: Arch Linux
>
>Configured using:
> 'configure --prefix=/home/ergo/.local/ --with-mailutils --with-json
> --with-x-toolkit=gtk3 --with-xft --with-wide-int --with-modules
> --with-cairo --with-harfbuzz --with-native-compilation --with-pgtk'
>
>Configured features:
>ACL CAIRO DBUS FREETYPE GIF GLIB GMP GNUTLS GPM GSETTINGS HARFBUZZ JPEG
>JSON LCMS2 LIBSYSTEMD LIBXML2 MODULES NATIVE_COMP NOTIFY INOTIFY PDUMPER
>PGTK PNG RSVG SECCOMP SOUND SQLITE3 THREADS TIFF TOOLKIT_SCROLL_BARS
>WEBP XIM GTK3 ZLIB
>
>Important settings:
>  value of $LANG: en_US.UTF-8
>  locale-coding-system: utf-8-unix
>
>Major mode: Lisp Interaction
>
>Minor modes in effect:
>  global-auto-revert-mode: t
>  xclip-mode: t
>  electric-pair-mode: t
>  flyspell-mode: t
>  company-mode: t
>  flycheck-mode: t
>  diff-hl-margin-mode: t
>  composable-mark-mode: t
>  composable-mode: t
>  fido-vertical-mode: t
>  icomplete-vertical-mode: t
>  icomplete-mode: t
>  fido-mode: t
>  repeat-mode: t
>  xterm-mouse-mode: t
>  minibuffer-depth-indicate-mode: t
>  winner-mode: t
>  save-place-mode: t
>  delete-selection-mode: t
>  savehist-mode: t
>  global-display-fill-column-indicator-mode: t
>  display-fill-column-indicator-mode: t
>  global-display-line-numbers-mode: t
>  display-line-numbers-mode: t
>  which-key-mode: t
>  override-global-mode: t
>  eldoc-mode: t
>  show-paren-mode: t
>  mouse-wheel-mode: t
>  file-name-shadow-mode: t
>  context-menu-mode: t
>  global-font-lock-mode: t
>  font-lock-mode: t
>  blink-cursor-mode: t
>  auto-composition-mode: t
>  auto-encryption-mode: t
>  auto-compression-mode: t
>  size-indication-mode: t
>  column-number-mode: t
>  line-number-mode: t
>  indent-tabs-mode: t
>  transient-mark-mode: t
>
>Load-path shadows:
>~/gits/emacs_clones/composable/composable-mark hides /home/ergo/.config/emacs/elpa/composable-20201024.1458/composable-mark
>~/gits/emacs_clones/composable/composable hides /home/ergo/.config/emacs/elpa/composable-20201024.1458/composable
>/home/ergo/.config/emacs/elpa/transient-20220216.2303/transient hides /home/ergo/.local/share/emacs/29.0.50/lisp/transient
>
>Features:
>(shadow sort mail-extr autorevert filenotify xclip emacsbug message
>mailcap yank-media rmc puny rfc822 mml mml-sec password-cache epa
>derived epg rfc6068 epg-config gnus-util text-property-search time-date
>mm-decode mm-bodies mm-encode mail-parse rfc2231 mailabbrev gmm-utils
>mailheader sendmail rfc2047 rfc2045 ietf-drums mm-util mail-prsvr
>mail-utils elec-pair flyspell-correct flyspell ispell company-semantic
>company-template company-capf company flycheck ansi-color json map
>find-func dash pcase diff-hl-margin diff-hl-dired advice dired
>dired-loaddefs diff-hl log-view pcvs-util vc-dir ewoc vc vc-dispatcher
>diff-mode cape term/tmux term/xterm xterm init composable
>composable-mark icomplete repeat xt-mouse edmacro kmacro mb-depth
>simple-16-theme winner ring saveplace delsel savehist
>display-fill-column-indicator display-line-numbers diminish which-key
>cl-extra help-mode use-package use-package-ensure use-package-delight
>use-package-diminish use-package-bind-key bind-key easy-mmode
>use-package-core disp-table info ede/auto eieio-base cl-seq eieio seq
>subr-x byte-opt bytecomp byte-compile cconv eieio-core cl-macs gv
>eieio-loaddefs cl-loaddefs cl-lib tex-site rx slime-autoloads early-init
>iso-transl tooltip eldoc paren electric uniquify ediff-hook vc-hooks
>lisp-float-type elisp-mode mwheel term/pgtk-win pgtk-win term/common-win
>tool-bar dnd fontset image regexp-opt fringe tabulated-list replace
>newcomment text-mode lisp-mode prog-mode register page tab-bar menu-bar
>rfn-eshadow isearch easymenu timer select scroll-bar mouse jit-lock
>font-lock syntax font-core term/tty-colors frame minibuffer cl-generic
>cham georgian utf-8-lang misc-lang vietnamese tibetan thai tai-viet lao
>korean japanese eucjp-ms cp51932 hebrew greek romanian slovak czech
>european ethiopic indian cyrillic chinese composite emoji-zwj charscript
>charprop case-table epa-hook jka-cmpr-hook help simple abbrev obarray
>cl-preloaded nadvice button loaddefs faces cus-face macroexp files
>window text-properties overlay sha1 md5 base64 format env code-pages
>mule custom widget keymap hashtable-print-readable backquote threads
>dbusbind inotify dynamic-setting system-font-setting font-render-setting
>cairo gtk pgtk lcms2 multi-tty make-network-process native-compile
>emacs)
>
>Memory information:
>((conses 16 185154 26978)
> (symbols 48 14286 0)
> (strings 32 51271 5428)
> (string-bytes 1 1740902)
> (vectors 16 21827)
> (vector-slots 8 379766 240772)
> (floats 8 107 1255)
> (intervals 56 762 0)
> (buffers 992 10))
>
>